質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.47%

  • Android

    6628questions

    Androidは、Google社が開発したスマートフォンやタブレットなど携帯端末向けのプラットフォームです。 カーネル・ミドルウェア・ユーザーインターフェイス・ウェブブラウザ・電話帳などのアプリケーションやソフトウェアをひとつにまとめて構成。 カーネル・ライブラリ・ランタイムはほとんどがC言語/C++、アプリケーションなどはJavaSEのサブセットとAndroid環境で書かれています。

  • Android Studio

    3785questions

    Android Studioは、 Google社によって開発された、 Androidのネイティブアプリケーション開発に特化した統合開発ツールです。

Android StudioでBuild Tools Versionが選べない

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 58

amery

score 94

Android 2.3.3 -> 3.2.1へのアップグレードで以下の質問をしていますが、別に独立した質問とします。
https://teratail.com/questions/156215

以下のサイト「Android Studio を 2.3.3 から 3.1.3 にアップデートした」を参考にして、
https://erx.jp/android-studio-%E3%82%92-2-3-3-%E3%81%8B%E3%82%89-3-1-3-%E3%81%AB%E3%82%A2%E3%83%83%E3%83%97%E3%83%87%E3%83%BC%E3%83%88%E3%81%97%E3%81%9F/

BuildToolVersionを27にしようと思ったのですが、
以下のようにちょうど27だけがスッポリ抜けて選べませんでした。
どうすれば選べるようになるでしょうか?
API27のSDKはインストール済みです。

イメージ説明

◆追記1
イメージ説明
イメージ説明

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • aja

    2018/11/06 11:59

    「API27のSDKはインストール済」SDK managerのSDK toolsを詳細で表示させてみてください。26.0.1と28.0.3がインストールされているところが分かるところです

    キャンセル

  • amery

    2018/11/06 18:54

    ◆追記1に2枚載せました。

    キャンセル

回答 2

checkベストアンサー

0

ただそれではリリースができないのでは
API26以上をターゲットしてビルドする必要があります
https://developers-jp.googleblog.com/2018/06/target-sdk-api-level-26-or-above.html

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/11/07 01:13

    元ソースは26で動いているので大丈夫です。27だとアウトです。

    キャンセル

0

結局のところ、元のソース(ビルドされていない状態)をもう一度最初からAndroidStudioで開き、
以下のポップアップで[Dont remind~]を選択すればbuild.gradleなどは一切変更せずにそのままビルドできるということが分かりました。
イメージ説明
ここで最初は[Update]を押してしまったために何かがおかしくなってしまったようです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/11/07 10:39 編集

    これはUnityからのExportしたプロジェクトでしょうか
    「26.0.1と28.0.3がインストールされているところが分かるところです」というのは、追記の画面からshow package detalsをチェックするとでてきます。全体的にSDK Tooksが26までの設定のようですからこれらをバージョンアップさせればいいような気がします。
    とりあえず解決であれば自己解決してはどうでしょう

    キャンセル

  • 2018/11/07 10:46

    Unityとは無関係のプロジェクトです。「show package detals」をチェックしてみたら Android SDK Build-Toolsの26.0.1から28.03までの間がすべてNot Installedになっていると気が付けました。ありがとうございます。

    キャンセル

関連した質問

同じタグがついた質問を見る

  • Android

    6628questions

    Androidは、Google社が開発したスマートフォンやタブレットなど携帯端末向けのプラットフォームです。 カーネル・ミドルウェア・ユーザーインターフェイス・ウェブブラウザ・電話帳などのアプリケーションやソフトウェアをひとつにまとめて構成。 カーネル・ライブラリ・ランタイムはほとんどがC言語/C++、アプリケーションなどはJavaSEのサブセットとAndroid環境で書かれています。

  • Android Studio

    3785questions

    Android Studioは、 Google社によって開発された、 Androidのネイティブアプリケーション開発に特化した統合開発ツールです。